/*
 * Copyright (c) 2018-2028, AoKunSang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.csetl.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 查询参数基础类
 *
 * @author wookvn
 * @datetime 2025-02-05 14:00:05
 */
@Data
public class BaseQueryParam implements Serializable {

    /**
     * 请求地址
     */
    private String host;

    /**
     * 请求端口
     */
    private Integer port;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 查询语句
     */
    private String querySql;
}
