/**
 * 
 */
package org.springblade.datasource.constants;

/**
 * @author wookvn
 *
 * 数据源常量
 */
public interface DsConstant {

	/**
	 * 连接超时[单位：毫秒]
	 */
	int CONNECT_TIMEOUT = 2000;
	/**
	 * 读取超时[单位：毫秒，10s]
	 */
	int READ_TIMEOUT = 10000;
	/**
	 * 比较耗时的读取超时[单位：毫秒，1分钟]
	 */
	int LONG_READ_TIMEOUT = 60000;
}
