package org.springblade.datasource.transform;

import lombok.Data;

import java.util.List;

/**
 * @author 喜欢番茄火锅
 * @date 2023/8/16 15:48
 */
@Data
public class IndexInfo {
    //索引名称
    private String indexName;
    //索引类型
    private Boolean primaryKey = false;

    // false 唯一  true 不唯一
    private Boolean nonUnique;

    //关联字段
    private List<IndexColumn> indexColumn;

    @Data
    public class IndexColumn {
        //字段名称
        private String columnName;
        //字段顺序
        private Integer ordinalPosition;
        //正序 A 倒叙 D
        private String ascOrDesc;
    }
}