/**
 * 
 */
package org.springblade.etl.controller;

import java.util.ArrayList;
import java.util.List;

import org.springblade.etl.dto.dsy.SourceTableColumnDto;
import org.springblade.etl.dto.dsy.TargetTableColumnDto;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @author wookvn
 *
 */
@RestController
@RequestMapping("/dsy-config")
@Api(value = "数据同步字段映射JSON说明接口[仅做显示使用]", tags = "数据同步字段映射JSON字段[仅做显示使用]")
public class DsyColumnConfigController {

	@GetMapping("/stc")
	@ApiOperation(value = "DsyJobTable:sourceColumnJson:配置")
	public List<SourceTableColumnDto> stc(){
		return new ArrayList<>();
	}
	
	@GetMapping("/ttc")
	@ApiOperation(value = "DsyJobTable:targetColumnJson:配置")
	public List<TargetTableColumnDto> ttc(){
		return new ArrayList<>();
	}
}
