/**
 * 
 */
package org.springblade.etl.dto;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotNull;

import org.springblade.etl.entity.SqlJob;
import org.springblade.etl.entity.SqlJobScript;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class SqlJobDto implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "任务基本信息")
	@NotNull(message = "任务信息不能为空")
	private SqlJob job;
	
	@ApiModelProperty(value = "SQL任务脚本列表数据")
	private List<SqlJobScript> sqlScriptList;
	
	@ApiModelProperty(value = "权限组ID列表")
	private List<Integer> dataPermIdList;
}
