/**
 * 
 */
package org.springblade.etl.dto.dsy;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotNull;

import org.springblade.etl.entity.DsyJob;
import org.springblade.etl.entity.DsyJobTable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class DsyJobDto implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "任务基本信息")
	@NotNull(message = "任务信息不能为空")
	private DsyJob job;
	
	@ApiModelProperty(value = "表列表数据")
	private List<DsyJobTable> tableList;
	
	@ApiModelProperty(value = "权限组ID列表")
	private List<Integer> dataPermIdList;

}
