/**
 * 
 */
package org.springblade.etl.dto.dsy;

import java.io.Serializable;

import org.springblade.etl.connector.source.enums.FieldType;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class TargetTableColumnDto implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("字段名")
	private String columnName;
	
	@ApiModelProperty("字段类型")
	private FieldType columnType;
	
	@ApiModelProperty("字段长度")
	private Integer columnSize;
	
	@ApiModelProperty("字段精度")
	private Integer precisionSize;
	
	@ApiModelProperty("字段注释")
	private String columnComment;
	
	@ApiModelProperty("是否虚拟字段")
	private Integer virtualColumnStatus;
	
	@ApiModelProperty("虚拟字段公式")
	private String columnFormula;
	
	 @ApiModelProperty(value = "是否主键")
	 private Boolean primaryKey = false;
}
