package org.springblade.etl.engine.flink.client.submit;

import java.nio.file.Path;

import org.apache.flink.api.java.tuple.Tuple2;
import org.apache.flink.client.program.ClusterClient;
import org.apache.flink.configuration.Configuration;
import org.springblade.etl.engine.flink.dto.PackageJarJob;

public interface SubmitCommand {

    Tuple2<String, ClusterClient> submit(Path flinkHome, Configuration configuration, PackageJarJob job) throws Exception;
}
