package org.springblade.etl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 数据库自留字段实体类
 * @date 2023/12/14 15:59
 */
@Data
@ApiModel(value = "EtlColumnSystem",description = "数据库自留字段实体类")
@TableName("etl_column_system")
public class EtlColumnSystem {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("字段名称")
    private String name;

    @ApiModelProperty("数据库类型")
    private Integer dbType;
}
