/**
 * 
 */
package org.springblade.etl.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wookvn
 *
 */
@Getter
@AllArgsConstructor
public enum InstanceType {
	
	BATCH(0, "BATCH", "批作业"),
    STREAMING(1, "STREAMING", "流作业");
	
	@EnumValue
    private Integer value;
	/**
	 * 该mode指与seatunnel对应
	 * {@link org.apache.seatunnel.common.constants.JobMode}
	 */
	private String mode;
    private String label;

}
