/**
 * 
 */
package org.springblade.etl.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Data;

/**
 * @author wookvn
 * ETL 本地文件Source时，默认上传到sfp服务器上，底层使用sftp-file-connector
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "platomix.sftp")
public class SftpProperties {

	private String host;
	
	private Integer port;
	
	private String user;
	
	private String password;
	
	private String uploadDir;
}
