/*
 * Copyright (c) 2018-2028, AoKunSang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.csetl.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * ES数据查询对象
 *
 * @author wookvn
 * @datetime 2025-02-05 12:00:37
 */
@Data
public class EsQueryParam extends BaseQueryParam {

    /**
     * 密码
     */
    private String password;

    /**
     * 索引名称
     */
    private String indexName;

}
