/**
 * 
 */
package org.springblade.etl.connector.source.config;

import org.springblade.etl.connector.base.SeatunnelConfig;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelLocalFileSourceConfig extends SeatunnelConfig {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String path;
	
	@JsonProperty("file_format_type")
	private String fileFormatType;
	
	private String delimiter;
	
	@JsonProperty("parse_partition_from_path")
	private Boolean parsePartitionFromPath;
	
	@JsonProperty("date_format")
	private String dateFormat;
	
	@JsonProperty("datetime_format")
	private String datetimeFormat;

	@JsonProperty("time_format")
	private String timeFormat;

	@JsonProperty("skip_header_row_number")
	private Integer skipHeaderRowNumber;
	
	@JsonProperty("sheet_name")
	private String sheetName;
	
	private SchemaField schema;
}

