package org.springblade.etl.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.datasource.transform.general.GeneralEnum;

/**
 * @author 喜欢番茄火锅
 * @date 2023/8/16 15:47
 */
@Data
public class ColumnInfoGeneralEnumVO {

    @ApiModelProperty(value = "字段名称")
    private String columnName;

    @ApiModelProperty(value = "字段注释")
    private String columnComments;

    @ApiModelProperty(value = "字段类型")
    private String dataType;

    @ApiModelProperty(value = "字段大小(对于 numeric 和 decimal 类型,列的精度)")
    private Integer columnSize;

    @ApiModelProperty(value = "小数部分位数")
    private Integer decimalDigits;

    @ApiModelProperty(value = "是否允许为NULL(1-是/0-否)")
    private Integer nullAbleStatus;

    @ApiModelProperty(value = "字段归类大类类型")
    private GeneralEnum columnType;

}