/**
 * 
 */
package org.springblade.etl.engine.datax.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DataxReq extends DataxIncrement{
	
	private Integer jobTableId;
	
	private String sourcePlugin;
	
	private String sourceUser;
	
	private String sourcePassword;
	
	private String querySql;
	
	private String sourceJdbcUrl;
	
	private String targetPlugin;
	
	private DataxWriteMode writeMode = DataxWriteMode.insert;
	
	private String targetColumns;
	
	private String targetUser;
	
	private String targetPassword;
	
	private String preSql = "";
	
	private String targetJdbcUrl;
	
	private String targetTableName;
	
	private String sourceCustomParamJson;
	
	private String targetCustomParamJson;
}
