/**
 * 
 */
package org.springblade.etl.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("etl_job_permission")
@ApiModel(value = "Job权限组对象", description = "任务权限组")
public class JobPermission implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty("任务流程ID")
	private Integer jobId;
	
	@ApiModelProperty("权限组ID")
	private Integer dataPermId;

	private Date createTime;
	
	private String createBy;
	
	private Long createUserId;
	
	@ApiModelProperty("权限组名称")
	@TableField(exist = false)
	private String dataPermName;

}
