/**
 * 
 */
package org.springblade.etl.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Getter
@AllArgsConstructor
@NoArgsConstructor
public enum JobType {
	
	PERIOD(1, "周期项目", InstanceType.BATCH),
    REALTIME(2, "实时项目", InstanceType.STREAMING);
	
	@EnumValue
    private Integer value;
    private String label;
    private InstanceType instanceType;

}
