/**
 * 
 */
package org.springblade.etl.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Select;
import org.springblade.etl.entity.JobLink;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 *	任务步骤连接 数据处理
 *
 * @author aokunsang
 * @date   2023-07-28
 */
public interface JobLinkMapper extends BaseMapper<JobLink>{
	
	@InterceptorIgnore(tenantLine = "true")
	@Select("select * from etl_job_link where job_id = #{value}")
	public List<JobLink> selectByJobId(Integer jobId);
}