/**
 * 
 */
package org.springblade.etl.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Select;
import org.springblade.etl.entity.SqlJobScript;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 *	SQL任务脚本 数据处理
 *
 * @author aokunsang
 * @date   2023-12-03
 */
public interface SqlJobScriptMapper extends BaseMapper<SqlJobScript>{
	
	@InterceptorIgnore(tenantLine = "true")
	@Select("select * from sql_job_script where job_id = #{value}")
	public List<SqlJobScript> selectByJobId(Integer jobId);
}